=== debian/changelog ===
axiom (20091101-7) unstable; urgency=low

  * Reinstate exposed.o in patch.merge
  * Bug fix: "draw() command doesn&#39;t work", thanks to Sebastian Dalfuß
    (Closes: #570386).
  * Bug fix: "Axiom is unusable - All the operations fail.", thanks to
    Stefano Simonucci (Closes: #574446).
  * Bug fix: "package purge (after dependencies removal) fails", thanks to
    Lucas Nussbaum (Closes: #574216).
  * 3.0 (quilt) source package format

 -- Camm Maguire <camm@debian.org>  Mon, 05 Apr 2010 21:39:22 +0000

axiom (20091101-6) unstable; urgency=low

  * fix arm build

 -- Camm Maguire <camm@debian.org>  Tue, 26 Jan 2010 22:05:39 +0000

axiom (20091101-5) unstable; urgency=low

  * fix build on non native-reloc platforms
  * lintian cleanups

 -- Camm Maguire <camm@debian.org>  Sat, 16 Jan 2010 02:08:56 +0000

axiom (20091101-4) unstable; urgency=low

  * fix build on non native-reloc platforms

 -- Camm Maguire <camm@debian.org>  Wed, 13 Jan 2010 21:24:57 +0000

axiom (20091101-3) unstable; urgency=low

  * fix build on non native-reloc platforms

 -- Camm Maguire <camm@debian.org>  Mon, 11 Jan 2010 17:51:36 +0000

axiom (20091101-2) unstable; urgency=low

  * Bug fix: "/usr/bin/ld: cannot find -lz", thanks to Cyril Brulebois
    (Closes: #563863).  Add zlib1g-dev build-dep

 -- Camm Maguire <camm@debian.org>  Wed, 06 Jan 2010 03:04:03 +0000

axiom (20091101-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "FTBFS on sparc, code.o&#39;: No such file or directory",
    thanks to Martin Zobel-Helas (Closes: #500997).
  * Bug fix: "FTBFS: /bin/sh: line 8:
    /build/user-axiom_20081101-2-amd64-CC4Atb/axiom-20081101/obj/linux/bin/lisp:
    No such file or directory", thanks to Lucas Nussbaum (Closes:
    #537022).
  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553730).

 -- Camm Maguire <camm@debian.org>  Tue, 05 Jan 2010 04:30:40 +0000

axiom (20081101-2) unstable; urgency=low

  * Bug fix: "Incorrect maintainer address.  email bounces", thanks to
    Mike O'Connor (Closes: #516191).  Changed to camm@debian.org
  * Bug fix: thanks to Chris Walker (Closes: #505300).
  * Bug fix: thanks to Didier Raboud (Closes: #475171).
  * Bug fix: thanks to Raphael Geissert (Closes: #450306).
    Updated watch file, but cannot distinguish gold sources from others.

 -- Camm Maguire <camm@debian.org>  Fri, 20 Feb 2009 21:01:37 +0000

axiom (20081101-1) unstable; urgency=low

  * New upstream release

 --  Camm Maguire <camm@debian.org>  Mon, 16 Feb 2009 20:13:35 +0000

axiom (20050901-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump build-dependency on gcl.
    - Fixes breakage on amd64. Closes: #475170.
  * Fix remaining uses of ${Source-Version} in debian/control.
  * Replace obsolete build-dependencies x-dev and gs-gpl with
    x11proto-core-dev and ghostscript, respectively.

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 20 Sep 2008 02:13:21 +0200

axiom (20050901-10) unstable; urgency=low

  * build-dep on latest gcl
  * Bug fix: "i386 build of axiom is missing all shlibs dependencies",
    thanks to peter green (Closes: #446960). rebuild
  * Bug fix: "axiom: not binNMU safe", thanks to Lior Kaplan (Closes:
    #432942).apply patch -- thanks!
  * Bug fix: "Bashism in debian/rules", thanks to Soren Hansen (Closes:
    #401238).apply patch -- thanks!
  * Bug fix: "Please add depedence on texlive", thanks to Elmar Teufl
    (Closes: #406057).dependence added
  * Bug fix: "axiom: Build-Depends should also allow texlive", thanks to
    didischuster@gmx.de (Dieter Schuster) (Closes: #406197).dep modified

 -- Camm Maguire <camm@enhanced.com>  Mon, 03 Dec 2007 17:37:40 -0500

axiom (20050901-9) unstable; urgency=low

  * Fix sock_get_string_buf, Closes: #328480

 -- Camm Maguire <camm@enhanced.com>  Wed,  1 Nov 2006 16:22:50 -0500

axiom (20050901-8) unstable; urgency=low

  * Fix graphics display bug in debian/patch.all 

 -- Camm Maguire <camm@enhanced.com>  Thu, 26 Oct 2006 15:56:12 -0400

axiom (20050901-7) unstable; urgency=low

  * Fix build-depends, Closes: #376017
  * recompile with latest debhelper, Closes: #381768
  * Fix spelling mistake, Closes: #362748

 -- Camm Maguire <camm@enhanced.com>  Wed, 18 Oct 2006 21:16:28 -0400

axiom (20050901-6) unstable; urgency=low

  * Add build dep on libxpm-dev, Closes: 360133.

 -- Camm Maguire <camm@enhanced.com>  Fri, 31 Mar 2006 13:46:43 +0000

axiom (20050901-5) unstable; urgency=low

  * Patch src/doc/book.pamphlet to remove erroneous monospace type,
    Closes: #347199.
  * Fix xlibs-deb dependency for xorg transition, Closes: #346717.
  * Fix editing script to conditionally run sman, Closes: #344346.
  * Fix native-reloc code in Makefile patch (patch.merge), Closes:
    #358548.
  * Rebuild against latest libxpm-dev, Closes: 357702.
  * Fix axiom-databases source version dependency, Closes: 349502.
  * latest source (20050901) fixes htsearch, Closes: #357130.
  * Fix manpage formatting, Closes: #349901.

 -- Camm Maguire <camm@enhanced.com>  Tue, 28 Mar 2006 21:20:17 +0000

axiom (20050901-4) unstable; urgency=low

  * Add autoload/postprop.lsp to axiom package
  * Add $AXIOM/bin to path in shell script wrapper

 -- Camm Maguire <camm@enhanced.com>  Mon,  7 Nov 2005 22:54:12 +0000

axiom (20050901-3) unstable; urgency=low

  * build depend on >= gcl 2.6.7-10 to get ppc gcc configure fix

 -- Camm Maguire <camm@enhanced.com>  Thu, 13 Oct 2005 18:38:47 +0000

axiom (20050901-2) unstable; urgency=low

  * Build-depend on gcl >= 2.6.7-7 to get dlopen fix needed for mips,
    alpha, hppa, and ia64
  * rework build strategy switching based on the native-reloc feature in
    the installed gcl.

 -- Camm Maguire <camm@enhanced.com>  Thu, 29 Sep 2005 17:32:36 +0000

axiom (20050901-1) unstable; urgency=high

  * New upstream release
  * Remove binutils-dev dependency, in gcl proper now, >= gcl 2.6.7-6.
  * libreadline5-dev as build dependency, Closes: #326386.

